# aapt v0.2 for ARM

This is the ARM binary for `aapt`, the Android Asset Packaging Tool, to
be installed on your device. You can e.g. use this to find the app name
from a package:

    aapt d badging <path to apk> | grep  "application: label" |awk '{print $2}'

## Installation
### system wide with root
1. on device, get root permissions and remount `/system` read-write:

        $ su
        # mount -o remount,rw /system

2. push the `aapt` binary to `/system/bin` (or `/system/xbin`).
    - If your ADB daemon is running in root mode:

                adb push aapt /system/bin/aapt # from your computer

    - otherwise, two steps are needed:

                adb push aapt /sdcard/aapt     # from your computer
                mv /sdcard/aapt /system/bin    # on your device, as root

3. adjust the permissions

        # chmod 0755 /system/bin/aapt

4. secure your device again. On the device, as root:

        # mount -o remount,ro /system

### if you do not have root
Without root, you won't be able to easily have the `aapt` binary available via
the `PATH` variable system-wide, as you cannot write to `/system`. You will
have to find a place where you can write to without root, and always have to
include the full path to the binary. While on some devices/ROMs everybody can
write to `/data/local`, that's not always the case. Which then leaves you with
`/tmp` (and the risk the binary disappears with the next boot):

    adb push aapt /tmp
    chmod 0755 /tmp/aapt

Then call it directly with full path, e.g.

    `/tmp/aapt d badging <path to apk>`
